Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# LocationCombo Class Reference

The LocationCombo class displays a list of available storage locations. More...

`#include <qtopia/locationcombo.h>`

List of all member functions.

## Public Members

- LocationCombo ( QWidget * parent, const char * name = 0 )
- LocationCombo ( const AppLnk * lnk, QWidget * parent, const char * name = 0 )
- ~LocationCombo ()
- void setLocation ( const QString & path )
- void setLocation ( const AppLnk * lnk )
- QString installationPath () const
- QString documentPath () const
- const FileSystem * fileSystem () const
- bool isChanged () const

## Signals

- void newPath ()

## Detailed Description

The LocationCombo class displays a list of available storage locations.

First availability: Qtopia 1.6

See also DocPropertiesDialog and Qtopia Classes.

## Member Function Documentation

### LocationCombo::LocationCombo ( QWidget * parent, const char * name = 0 )

Constructs a LocationCombo with parent parent and name name.

### LocationCombo::LocationCombo ( const AppLnk * lnk, QWidget * parent, const char * name = 0 )

Constructs a LocationCombo with parent parent and name name. lnk is pointer to an existing AppLnk.

### LocationCombo::~LocationCombo ()

Destroys the widget.

### QString LocationCombo::documentPath () const

Returns the document path associated with this LocationCombo. This will be "<path>/Documents".

### const FileSystem * LocationCombo::fileSystem () const

Returns a pointer to FileSystem object, associated with the current selection of the LocationCombo.

### QString LocationCombo::installationPath () const

Returns the default (home) location for the file associated with this LocationCombo.

### bool LocationCombo::isChanged () const

Returns TRUE to indicate that the user has changed the location displayed by the LocationCombo. Most useful when the LocationCombo is part of a dialog; when the dialog is accept()ed, LocationCombo::isChanged() can be examined to check for a change of location.

### void LocationCombo::newPath ()`[signal]`

Emitted when the LocationCombo changes to a new location.

### void LocationCombo::setLocation ( const QString & path )

Sets the display of the LocationCombo to the location containing path.

First availability: Qtopia 2.0

### void LocationCombo::setLocation ( const AppLnk * lnk )

Sets the display of the LocationCombo to the location associated with the AppLnk lnk.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.